Bug 216786 - Config files in the jbossas rpm should be marked accordingly
Config files in the jbossas rpm should be marked accordingly
Status: CLOSED ERRATA
Product: Red Hat Web Application Stack
Classification: Retired
Component: jbossas (Show other bugs)
v1
All Linux
high Severity high
: ---
: ---
Assigned To: Deepak Bhole
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 19:04 EST by Deepak Bhole
Modified: 2006-11-27 10:43 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0743
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 10:43:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deepak Bhole 2006-11-21 19:04:04 EST
Description of problem:
Configuration files (*.xml and *.properties in the server/ directory of
/var/lib/jbossas) are currently not marked as %config. This means that when the
user updates the rpm, their configuration will be overwritten even if they have
changed it on their end.

Version-Release number of selected component (if applicable):
4.0.4-1.el4s1.20
Comment 1 Len DiMaggio 2006-11-22 12:02:13 EST
Fix verified in jbossas-4.0.4-1.el4s1.25

These files were modified and were correctly not overwritten during an upgrade:

/var/lib/jbossas/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/classes/web-console-roles.properties

/etc/jbossas/all/props/jbossws-users.properties

/etc/jbossas/all/login-config.xml
Comment 4 Red Hat Bugzilla 2006-11-27 10:43:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0743.html

Note You need to log in before you can comment on or make changes to this bug.